Subject: bug#20288: 24.4; password management in sql-oracle

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Apr 2015 10:40:48 +0300

> Date: Thu, 9 Apr 2015 23:26:21 +0200 (CEST)
> From: Jean-Louis ABRAHAM <[email-masked]>
> Cc: [email-masked]
> 
> In the cmd box I enter:
> emacs -Q
> 
> In Emacs 24.4.1:
> 
> M-x sql-oracle
> User: <oracle user>
> Password: <password>
> Database: <dbname>
> 
> The *SQL* buffer looks like:
> 
> SQL*Plus: Release 12.1.0.2.0 Production on Thu Apr 9 23:07:25 2015
> 
> Copyright (c) 1982, 2014, Oracle. All rights reserved.
> 
> Connected to:
> Oracle Database 11g Express Edition Release 11.2.0.2.0 - 64bit Production
> 
> SQL> host
> Microsoft Windows [version 6.1.7601]
> Copyright (c) 2009 Microsoft Corporation. Tous droits r serv s.
> 
> exit
> c:\Users\jean-louis\AppData\Roaming>exit
> 
> SQL>
> 
> The problem is that after I enter the "host" command the prompt doesn't
> display, only after I hit the <enter> key

Most probably, a buffering issue.  Is there a command-line switch for
sqlplus that causes it to use unbuffered I/O?  Or maybe some variable
you can set once connected to SQL?

But if you are saying that Emacs 24.3 on the same system and with the
same version of SQL didn't have that problem, then I don't see how's
that possible due to buffering.  Maybe I'm missing something.